<div class="container">
  <div class="left-side">
    <div class="welcome">
      <h1>Welcome to VehicleOverview</h1>
      <div class="car-icon"><i class="pi pi-car"></i></div>
    </div>
  </div>

  <div class="right-side">
    <div class="message">
      <p>S našom aplikacijom možete saznati sve o autu po želji!</p>
    </div>
    <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
      <div class="login-form">
        <label>
          Username:
          <input type="text" formControlName="username" pInputText />
        </label>
        <div *ngIf="loginForm.controls['username'].invalid && loginForm.controls['username'].touched">
          Username is required.
        </div>
        <label>
          Password:
          <input type="password" formControlName="password" pInputText />
        </label>
        <div *ngIf="loginForm.controls['password'].invalid && loginForm.controls['password'].touched">
          <div *ngIf="loginForm.controls['password'].hasError('required')">
            Password is required.
          </div>
          <div *ngIf="loginForm.controls['password'].hasError('invalidPassword')">
            Password must be at least 8 characters long and contain at least one uppercase letter, one number, and one special character.
          </div>
        </div>
        <button type="submit" pButton>Sign In</button>
      </div>
    </form>
  </div>
</div>
